org.eclipse.wst.jsdt.chromium

## Interface JavascriptVm.ScriptsCallback

Enclosing interface:
  JavascriptVm

    public static interface JavascriptVm.ScriptsCallback

A callback for retrieving scripts.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `failure(java.lang.String errorMessage)`
`void` `success(java.util.Collection<Script> scripts)` This method provides a synchronous access to script collection.

### Method Detail

#### success

    void success(java.util.Collection<Script> scripts)

This method provides a synchronous access to script collection. All script events are postponed for the time of this call.

#### failure

    void failure(java.lang.String errorMessage)